/*
 * File: ./DATA/_DATAINFOSTUB.JAVA
 * From: DATA.IDL
 * Date: Thu Oct 05 10:02:23 2000
 *   By: idltojava Java IDL 1.2 Aug 18 1998 16:25:34
 */

package Data;
public class _DataInfoStub
	extends org.omg.CORBA.portable.ObjectImpl
    	implements Data.DataInfo {

    public _DataInfoStub(org.omg.CORBA.portable.Delegate d) {
          super();
          _set_delegate(d);
    }

    private static final String _type_ids[] = {
        "IDL:Data/DataInfo:1.0"
    };

    public String[] _ids() { return (String[]) _type_ids.clone(); }

    //	IDL operations
    //	    Implementation of ::Data::DataInfo::getData
    public int getData(String name, int res, String type, Data.UnboundedDataHolder vals)
 {
           org.omg.CORBA.Request r = _request("getData");
           r.set_return_type(org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.tk_long));
           org.omg.CORBA.Any _name = r.add_in_arg();
           _name.insert_string(name);
           org.omg.CORBA.Any _res = r.add_in_arg();
           _res.insert_long(res);
           org.omg.CORBA.Any _type = r.add_in_arg();
           _type.insert_string(type);
           org.omg.CORBA.Any _vals = r.add_out_arg();
           _vals.type(Data.UnboundedDataHelper.type());
           r.invoke();
           vals.value = Data.UnboundedDataHelper.extract(_vals);
           int __result;
           __result = r.return_value().extract_long();
           return __result;
   }
    //	    Implementation of ::Data::DataInfo::getLocation
    public int getLocation(org.omg.CORBA.StringHolder dirLoc)
 {
           org.omg.CORBA.Request r = _request("getLocation");
           r.set_return_type(org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.tk_long));
           org.omg.CORBA.Any _dirLoc = r.add_out_arg();
           _dirLoc.type(org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.tk_string));
           r.invoke();
           dirLoc.value = _dirLoc.extract_string();
           int __result;
           __result = r.return_value().extract_long();
           return __result;
   }
    //	    Implementation of ::Data::DataInfo::getPathDelimiter
    public int getPathDelimiter(org.omg.CORBA.StringHolder dirLoc)
 {
           org.omg.CORBA.Request r = _request("getPathDelimiter");
           r.set_return_type(org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.tk_long));
           org.omg.CORBA.Any _dirLoc = r.add_out_arg();
           _dirLoc.type(org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.tk_string));
           r.invoke();
           dirLoc.value = _dirLoc.extract_string();
           int __result;
           __result = r.return_value().extract_long();
           return __result;
   }
    //	    Implementation of ::Data::DataInfo::getFiles
    public int getFiles(String dir, org.omg.CORBA.StringHolder fileList)
 {
           org.omg.CORBA.Request r = _request("getFiles");
           r.set_return_type(org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.tk_long));
           org.omg.CORBA.Any _dir = r.add_in_arg();
           _dir.insert_string(dir);
           org.omg.CORBA.Any _fileList = r.add_out_arg();
           _fileList.type(org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.tk_string));
           r.invoke();
           fileList.value = _fileList.extract_string();
           int __result;
           __result = r.return_value().extract_long();
           return __result;
   }
    //	    Implementation of ::Data::DataInfo::getFileResolution
    public int getFileResolution(String file, org.omg.CORBA.IntHolder width, org.omg.CORBA.IntHolder height, org.omg.CORBA.IntHolder length)
 {
           org.omg.CORBA.Request r = _request("getFileResolution");
           r.set_return_type(org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.tk_long));
           org.omg.CORBA.Any _file = r.add_in_arg();
           _file.insert_string(file);
           org.omg.CORBA.Any _width = r.add_out_arg();
           _width.type(org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.tk_long));
           org.omg.CORBA.Any _height = r.add_out_arg();
           _height.type(org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.tk_long));
           org.omg.CORBA.Any _length = r.add_out_arg();
           _length.type(org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.tk_long));
           r.invoke();
           width.value = _width.extract_long();
           height.value = _height.extract_long();
           length.value = _length.extract_long();
           int __result;
           __result = r.return_value().extract_long();
           return __result;
   }

};
